<template>
  <v-app dark>
    <v-navigation-drawer
      v-model="drawer"
      :mini-variant="miniVariant"
      :clipped="clipped"
      fixed
      app
    >
      <v-list>
        <v-list-item
          v-for="(item, i) in items"
          :key="i"
          :to="item.to"
          router
          exact
        >
          <v-list-item-action>
            <v-icon>{{ item.icon }}</v-icon>
          </v-list-item-action>
          <v-list-item-content>
            <v-list-item-title v-text="item.title" />
          </v-list-item-content>
        </v-list-item>
      </v-list>
    </v-navigation-drawer>
    <v-app-bar
      :clipped-left="clipped"
      fixed
      app
    >
      <v-app-bar-nav-icon @click.stop="drawer = !drawer" />
      <v-spacer />
      <v-icon class="mr-1" size="30" dark>mdi-school</v-icon>
      <v-toolbar-title v-text="title" />
      <v-spacer />
    </v-app-bar>
    <v-main>
      <v-container>
        <Nuxt />
      </v-container>
    </v-main>
    <v-footer
      :absolute="fixed"
      app
    >
      <v-spacer />
      <span>Solución CRUD Colegio &mdash; Fernando Sagastume &copy; {{ new Date().getFullYear() }}</span>
      <v-spacer />
    </v-footer>
  </v-app>
</template>

<script>
export default {
  data () {
    return {
      clipped: false,
      drawer: false,
      fixed: true,
      items: [
        {
          icon: 'mdi-account-group',
          title: 'Alumnos',
          to: '/'
        },
        {
          icon: 'mdi-account-supervisor-circle',
          title: 'Profesores',
          to: '/profesores'
        },
        {
          icon: 'mdi-billboard',
          title: 'Grados',
          to: '/grados'
        },
      ],
      miniVariant: false,
      right: true,
      rightDrawer: false,
      title: 'CRUD COLEGIO'
    }
  }
}
</script>
